/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.wahlrechtspruefung.boundary;

import de.ivu.elect.business.wahlrechtspruefung.entity.Pruefkriterium;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class PruefkriteriumDAO extends AbstractPruefkriteriumDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Pruefkriterium pruefkriterium){
    getEntityManager().persist(pruefkriterium);
  }

  public void remove(Pruefkriterium pruefkriterium){
    getEntityManager().remove(pruefkriterium);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                        
        /**
        * Name: WahlAndBezugOrderByPositionNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM Pruefkriterium o WHERE o.wahl = ?1 AND o.pruefkriteriumBezug= ?2 ORDER BY o.position<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Pruefkriterium> findByWahlAndBezugOrderByPosition( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl,  @javax.annotation.Nonnull de.ivu.elect.business.wahlrechtspruefung.entity.PruefkriteriumBezug bezug) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Pruefkriterium.findByWahlAndBezugOrderByPosition" ,  wahl ,  bezug  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlAndBezugOrderByPosition( wahl ,  bezug  ));
        }
        return (java.util.List<Pruefkriterium>) cached;
        }
            return super.findByWahlAndBezugOrderByPosition( wahl ,  bezug  );
            }
                                        
        /**
        * Name: WahlOrderByPositionNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM Pruefkriterium o WHERE o.wahl = ?1 ORDER BY o.position<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Pruefkriterium> findByWahlOrderByPosition( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Pruefkriterium.findByWahlOrderByPosition" ,  wahl  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlOrderByPosition( wahl  ));
        }
        return (java.util.List<Pruefkriterium>) cached;
        }
            return super.findByWahlOrderByPosition( wahl  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}